{
  lib,
  python3,
  fetchgit,
  ethtool,
  dmidecode,
  ipmitool,
  lldpd,
  lshw,
}:

python3.pkgs.buildPythonApplication {
  pname = "netbox-agent";
  version = "unstable-2023-03-19";
  pyproject = true;

  src = fetchgit {
    url = "https://git.dgnum.eu/DGNum/netbox-agent";
    rev = "12ceea413cbb87280713de734b5e1b3e88c00178";
    hash = "sha256-v6H8/yNUcpHERiyzytR2ZADLiDK2QpzSEmxTP5m9BLE=";
  };

  nativeBuildInputs = with python3.pkgs; [
    setuptools
    wheel
    pythonRelaxDepsHook
  ];

  pythonRelaxDeps = true;

  propagatedBuildInputs = with python3.pkgs; [
    distro
    jsonargparse
    netaddr
    (callPackage ./netifaces2.nix { })
    packaging
    pynetbox
    python-slugify
    pyyaml
  ];

  postInstall = ''
    wrapProgram $out/bin/netbox_agent \
      --prefix PATH ":" ${
        lib.makeBinPath [
          ethtool
          dmidecode
          ipmitool
          lldpd
          lshw
        ]
      }
  '';

  pythonImportsCheck = [ "netbox_agent" ];

  meta = with lib; {
    description = "Netbox agent to run on your infrastructure's servers";
    homepage = "https://git.dgnum.eu/DGNum/netbox-agent";
    license = licenses.asl20;
    maintainers = [ ];
    mainProgram = "netbox_agent";
  };
}
